﻿using COA.EnterpriseServices.DataAccess.Entities;
using System.Collections.Generic;

namespace COA.EnterpriseServices.DataAccess.Helpers
{
    public class CreditorHelper : BaseHelper<Creditor>
    {
        public ICollection<Creditor> FindByName(string name)
        {
            return DataAccessManager.Invoke(d => d.Get(c => c.ClientFirstName.Contains(name) || c.ClientLastName.Contains(name)));
        }

        public ICollection<Creditor> FindByStatus(string status)
        {
            return DataAccessManager.Invoke(d => d.Get(c => c.Status == status));
        }
    }
}
